# Uses of Class
org.snpeff.snpEffect.VariantEffect

Packages that use VariantEffect
Package
Description
org.snpeff.filter
org.snpeff.interval
org.snpeff.interval.codonChange
org.snpeff.outputFormatter
org.snpeff.snpEffect
org.snpeff.stats
org.snpeff.vcf

## Uses of VariantEffect in org.snpeff.filter

Classes in org.snpeff.filter that implement interfaces with type arguments of type VariantEffect
Modifier and Type
Class
Description
`class`
`VariantEffectFilter`
A Generic ChangeEffect filter
Methods in org.snpeff.filter with parameters of type VariantEffect
Modifier and Type
Method
Description
`boolean`
VariantEffectFilter.`filter(VariantEffect variantEffect)`
Filter a sequence change

## Uses of VariantEffect in org.snpeff.interval

Methods in org.snpeff.interval with parameters of type VariantEffect
Modifier and Type
Method
Description
`String`
Marker.`idChain(String separatorBetween, String separatorWithin, boolean useGeneId, VariantEffect varEff)`
A list of all IDs and parent IDs until chromosome

## Uses of VariantEffect in org.snpeff.interval.codonChange

Methods in org.snpeff.interval.codonChange that return VariantEffect
Modifier and Type
Method
Description
`protected VariantEffect`
CodonChange.`effect(Marker marker, EffectType effectType, boolean allowReplace)`
Calculate variant effect
`protected VariantEffect`
CodonChange.`effectNoCodon(Marker marker, EffectType effectType)`
`protected VariantEffect`
CodonChange.`effectNoCodon(Marker marker, EffectType effectType, VariantEffect.EffectImpact effectImpact)`

## Uses of VariantEffect in org.snpeff.outputFormatter

Methods in org.snpeff.outputFormatter with parameters of type VariantEffect
Modifier and Type
Method
Description
`void`
OutputFormatter.`add(VariantEffect variantEffect)`
Add effects to list

## Uses of VariantEffect in org.snpeff.snpEffect

Subclasses of VariantEffect in org.snpeff.snpEffect
Modifier and Type
Class
Description
`class`
`VariantEffectFusion`
Effect of a structural variant (fusion) affecting two genes
`class`
`VariantEffectStructural`
Effect of a structural variant affecting multiple genes
Classes in org.snpeff.snpEffect that implement interfaces with type arguments of type VariantEffect
Modifier and Type
Class
Description
`class`
`VariantEffect`
Effect of a variant.
`class`
`VariantEffects`
A sorted collection of variant effects
Fields in org.snpeff.snpEffect declared as VariantEffect
Modifier and Type
Field
Description
`protected VariantEffect`
Hgvs.`variantEffect`
Methods in org.snpeff.snpEffect that return VariantEffect
Modifier and Type
Method
Description
`VariantEffect`
VariantEffect.`clone()`
`VariantEffect`
VariantEffects.`get()`
Get (or create) the latest ChangeEffect
`VariantEffect`
VariantEffects.`get(int index)`
Methods in org.snpeff.snpEffect that return types with arguments of type VariantEffect
Modifier and Type
Method
Description
`List<VariantEffect>`
VariantEffectStructural.`fusions()`
Is there another 'fusion' effect?
`Iterator<VariantEffect>`
VariantEffects.`iterator()`
Methods in org.snpeff.snpEffect with parameters of type VariantEffect
Modifier and Type
Method
Description
`void`
VariantEffects.`add(VariantEffect variantEffect)`
Add an effect
`int`
VariantEffect.`compareTo(VariantEffect varEffOther)`
`protected boolean`
LossOfFunction.`isLof(VariantEffect variantEffect)`
Is this single change a LOF? Criteria: 1) Core splice sites acceptors or donors (only CORE ones) 2) Stop gained (if this happens at the last part of the protein, we assume it has no effect) 3) Frame shifts
`protected boolean`
LossOfFunction.`isLofDeletion(VariantEffect variantEffect)`
Is this deletion a LOF? Criteria: 1) First (coding) exon deleted 2) More than 50% of coding sequence deleted
`protected boolean`
LossOfFunction.`isNmd(VariantEffect variantEffect)`
Is this single change a LOF? Criteria: 1) Core splice sites acceptors or donors (only CORE ones) 2) Stop gained (if this happens at the last part of the protein, we assume it has no effect) 3) Frame shifts
Constructors in org.snpeff.snpEffect with parameters of type VariantEffect
Modifier
Constructor
Description
``
`Hgvs(VariantEffect variantEffect)`
``
`HgvsDna(VariantEffect variantEffect)`
``
`HgvsProtein(VariantEffect variantEffect)`
Constructor parameters in org.snpeff.snpEffect with type arguments of type VariantEffect
Modifier
Constructor
Description
``
`LossOfFunction(Config config, Collection<VariantEffect> variantEffects)`

## Uses of VariantEffect in org.snpeff.stats

Classes in org.snpeff.stats that implement interfaces with type arguments of type VariantEffect
Modifier and Type
Class
Description
`class`
`VariantEffectStats`
Variants annotation statistics.
Methods in org.snpeff.stats with parameters of type VariantEffect
Modifier and Type
Method
Description
`void`
GeneCountByTypeTable.`sample(Gene gene, Transcript tr, String type, VariantEffect variantEffect)`
Sample this invalid input: '<'gene, marker, type, variant> tuple to update statistics
`void`
VariantEffectStats.`sample(VariantEffect variantEffect)`

## Uses of VariantEffect in org.snpeff.vcf

Constructors in org.snpeff.vcf with parameters of type VariantEffect
Modifier
Constructor
Description
``
`VcfEffect(VariantEffect variantEffect, EffFormatVersion formatVersion)`
``
`VcfEffect(VariantEffect variantEffect, EffFormatVersion formatVersion, boolean useSequenceOntology, boolean useFirstEffect)`